Bug 1409553 - Request for ending of support of golang packages shipping source codes in RHEL7
Summary: Request for ending of support of golang packages shipping source codes in RHEL7
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: golang-github-kr-pty
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Tomas Hrcka
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1568131 1619696
TreeView+ depends on / blocked
 
Reported: 2017-01-02 13:12 UTC by Jan Chaloupka
Modified: 2021-01-15 07:29 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-15 07:29:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Chaloupka 2017-01-02 13:12:27 UTC
As a part of a process of building all golang projects on various distributions (e.g. Fedora, RHEL, CentOS) from the same spec file I would like to propose ending support of all golang packages (or its parts) shipping source codes of projects written in Golang in RHEL7. All the packages are going to be replaced with their corresponding counterparts in epel7 branch (in a sense of update path).

The list of affected packages:
golang-github-coreos-go-systemd
golang-github-cpuguy83-go-md2man
golang-github-docopt-docoptgo
golang-github-fsouza-go-dockerclient
golang-github-godbus-dbus
golang-github-gorilla-context
golang-github-gorilla-mux
golang-github-guelfey-godbus
golang-github-kraman-go-netfilter-queue
golang-github-kraman-libcontainer
golang-github-kr-pty
golang-github-openshift-go-json-rest
golang-github-openshift-go-systemd
golang-github-spf13-cobra
golang-github-spf13-pflag
golang-github-syndtr-gocapability
golang-googlecode-crypto
golang-googlecode-go-crypto
golang-googlecode-net
golang-googlecode-sqlite
golang-launchpad-gocheck

All the mentioned golang packages are used for building other tools in RHEL7 only.
All of them up to golang-github-cpuguy83-go-md2man do not ship any binary that can be installed by a customer.
As all the packages are already released and available in repos, they can not be obsoleted.
All tools currently built from the golang packages can still be built without any problems as the packages will continue to live in the repositories.
However, the golang packages no longer get updated. All tools are recommended to bundle all their dependencies from now on if built in RHEL7 (and in a need of newer version of their dependency).

At the same time, the packages can not be renamed in epel7 as the virtual provides (e.g. golang(golang.org/x/net) needs to be identical.

Expected state after the change:
* no golang package/rpm supported in rhel that ships source code
* golang projects already packaged in RHEL or to be package in RHEL are built from bundled dependencies
* any source code of a golang project for RHEL7 is shipped in epel7 (as a new package or a package updating already existing go packages in RHEL7)
* all affected golang packages (or its parts) gets retired, all their already existing builds will not get affected and stay in brew
* for a case of golang-github-cpuguy83-go-md2man, the package gets either renamed to go-md2man or its devel subpackage gets removed

There is no hard/soft limit for the projects currently built from affected dependencies to bundle their dependencies right away.
As long as they are built from the same go dependencies, this change will not affect the building.

Comment 4 Red Hat Bugzilla Rules Engine 2017-01-18 17:16:03 UTC
Product Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Comment 12 Carl George 2019-01-11 15:43:41 UTC
The RHEL 7.6 release notes indicate that golang has been deprecated in RHEL [0].  EPEL packagers have already re-added golang itself to EPEL [1].  Can the rest of this move forward now?

[0]: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html-single/7.6_release_notes/index#idm139830891192016
[1]: https://bodhi.fedoraproject.org/updates/golang-1.11.2-3.el7

Comment 14 RHEL Program Management 2021-01-15 07:29:43 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.